LIBJXL

Loading...
Searching...
No Matches
Functions
resizable_parallel_runner.h File Reference
JPEG XL Multi-thread library (libjxl_threads)

implementation using std::thread of a resizeable JxlParallelRunner. More...

`#include <jxl/jxl_threads_export.h>`
`#include <jxl/memory_manager.h>`
`#include <jxl/parallel_runner.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
Include dependency graph for resizable_parallel_runner.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
JXL_THREADS_EXPORT JxlParallelRetCode | JxlResizableParallelRunner (void *runner_opaque, void *jpegxl_opaque, JxlParallelRunInit init, JxlParallelRunFunction func, uint32_t start_range, uint32_t end_range)
JXL_THREADS_EXPORT void * | JxlResizableParallelRunnerCreate (const JxlMemoryManager *memory_manager)
JXL_THREADS_EXPORT void | JxlResizableParallelRunnerSetThreads (void *runner_opaque, size_t num_threads)
JXL_THREADS_EXPORT uint32_t | JxlResizableParallelRunnerSuggestThreads (uint64_t xsize, uint64_t ysize)
JXL_THREADS_EXPORT void | JxlResizableParallelRunnerDestroy (void *runner_opaque)

## Detailed Description

implementation using std::thread of a resizeable JxlParallelRunner.